## converseen 0.6.6

=== CMakeLists.txt ===
PROJECT(converseen)

cmake_minimum_required(VERSION 2.4)
  
SET(GUI "converseen")  

ADD_DEFINITIONS( ${OPTIMIZATION_FLAGS} )
  
SET(converseen_UIS  
    ui/dialogconversionstatus.ui
    ui/dialoginfo.ui
    ui/dialogoptions.ui
    ui/dialogquality.ui
    ui/mainwindow.ui
)  
  
SET(converseen_SRCS  
    src/main.cpp
    src/cachingsystem.cpp
    src/combofilters.cpp
    src/converter.cpp
    src/dialogconversionstatus.cpp
    src/dialoginfo.cpp
    src/dialogoptions.cpp
    src/dialogquality.cpp
    src/formats.cpp
    src/inisettings.cpp
    src/mainwindowimpl.cpp
    src/mylabelpreviewer.cpp
    src/pixtreewidget.cpp
    src/pushcolorchooser.cpp
    src/sizeutil.cpp
    src/thumbnailgeneratorthread.cpp
    src/translator.cpp
    src/whereiam.cpp
)  
  
SET(converseen_MOC_HDRS  
    src/cachingsystem.h
    src/combofilters.h
    src/converter.h
    src/dialogconversionstatus.h
    src/dialoginfo.h
    src/dialogoptions.h
    src/dialogquality.h
    src/formats.h
    src/inisettings.h
    src/mainwindowimpl.h
    src/mylabelpreviewer.h
    src/pixtreewidget.h
    src/pushcolorchooser.h
    src/sizeutil.h
    src/thumbnailgeneratorthread.h
    src/translator.h
    src/whereiam.h
)
  
SET(converseen_RESOURCES  
    resources.qrc
)

SET(converseen_LANG
    loc/converseen_tr_TR.ts
    loc/converseen_fr_FR.ts
    loc/converseen_es_CL.ts
    loc/converseen_pt_BR.ts
    loc/converseen_cs_CZ.ts
    loc/converseen_hu_HU.ts
    loc/converseen_de_DE.ts
    loc/converseen_it_IT.ts
    loc/converseen_ru_RU.ts
    loc/converseen_pl_PL.ts
    loc/converseen_ja_JP.ts
)

FIND_PACKAGE(Qt4 REQUIRED)
FIND_PACKAGE(ImageMagick REQUIRED)
FIND_PACKAGE(ImageMagick COMPONENTS Magick++)
FIND_PACKAGE(ImageMagick COMPONENTS MagickWand)
FIND_PACKAGE(ImageMagick COMPONENTS MagickCore)

INCLUDE(${QT_USE_FILE})
QT4_WRAP_UI(converseen_UIS_H ${converseen_UIS})  
QT4_WRAP_CPP(converseen_MOC_SRCS ${converseen_MOC_HDRS})  
QT4_ADD_RESOURCES(converseen_RESOURCES ${converseen_RESOURCES})
QT4_ADD_TRANSLATION(converseen_RESOURCES ${converseen_LANG}) 

ADD_DEFINITIONS(
	-Wall
	-W
	-DMAGICKCORE_HDRI_ENABLE=0
	-DMAGICKCORE_QUANTUM_DEPTH=16
	${QT_DEFINITIONS}
)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR} ${ImageMagick_INCLUDE_DIRS} ${ImageMagick_Magick++_INCLUDE_DIRS} . )
  
ADD_EXECUTABLE(${GUI}  
    ${converseen_SRCS}  
    ${converseen_UIS_H}  
    ${converseen_MOC_SRCS}  
    ${converseen_RESOURCES}  
    ${converseen_RCS} 
)  
  
TARGET_LINK_LIBRARIES(${GUI} ${QT_LIBRARIES} ${ImageMagick_LIBRARIES} ${ImageMagick_Magick++_LIBRARIES})

install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/converseen DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
install(FILES res/converseen.desktop DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications)
install(FILES res/converseen.png DESTINATION ${CMAKE_INSTALL_PREFIX}/share/pixmaps)
install(FILES res/converseen_import.desktop DESTINATION ${CMAKE_INSTALL_PREFIX}/share/kde4/services/ServiceMenus)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_cs_CZ.qm DESTINATION ${CMAKE_INSTALL_PREFIX}/share/converseen/loc)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_de_DE.qm DESTINATION ${CMAKE_INSTALL_PREFIX}/share/converseen/loc)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_es_CL.qm DESTINATION ${CMAKE_INSTALL_PREFIX}/share/converseen/loc)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_fr_FR.qm DESTINATION ${CMAKE_INSTALL_PREFIX}/share/converseen/loc)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_hu_HU.qm DESTINATION ${CMAKE_INSTALL_PREFIX}/share/converseen/loc)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_it_IT.qm DESTINATION ${CMAKE_INSTALL_PREFIX}/share/converseen/loc)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_pt_BR.qm DESTINATION ${CMAKE_INSTALL_PREFIX}/share/converseen/loc)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_tr_TR.qm DESTINATION ${CMAKE_INSTALL_PREFIX}/share/converseen/loc)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_ru_RU.qm DESTINATION ${CMAKE_INSTALL_PREFIX}/share/converseen/loc)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_pl_PL.qm DESTINATION ${CMAKE_INSTALL_PREFIX}/share/converseen/loc)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_ja_JP.qm DESTINATION ${CMAKE_INSTALL_PREFIX}/share/converseen/loc)

=== debian/changelog ===
converseen (0.6.6-1) unstable; urgency=low

  * Initial upload (closes: #733067).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 25 Dec 2013 08:55:49 +0100

## converseen 0.6.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,9 @@
 PROJECT(converseen)
 
-cmake_minimum_required(VERSION 2.4)
+cmake_minimum_required(VERSION 2.6)
   
 SET(GUI "converseen")  
+SET(QT_USE_QTNETWORK TRUE)
 
 ADD_DEFINITIONS( ${OPTIMIZATION_FLAGS} )
   
@@ -32,6 +33,7 @@
     src/sizeutil.cpp
     src/thumbnailgeneratorthread.cpp
     src/translator.cpp
+    src/updatechecker.cpp
     src/whereiam.cpp
 )  
   
@@ -52,6 +54,7 @@
     src/sizeutil.h
     src/thumbnailgeneratorthread.h
     src/translator.h
+    src/updatechecker.h
     src/whereiam.h
 )

=== debian/changelog ===
converseen (0.6.7-1) unstable; urgency=low

  * New upstream release.
  * Add watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 04 Feb 2014 06:50:27 +0100

=== debian/control ===
Source: converseen
Section: graphics
Priority: extra
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper (>= 9), libqt4-dev, libmagick++-dev, libmagickcore-dev, libmagickwand-dev, imagemagick, cmake
Standards-Version: 3.9.5
Homepage: http://converseen.sourceforge.net/

Package: converseen
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: batch image converter and resizer
 You can convert an unlimited number of images and / or create thumbnails
 to any of the most popular formats: DPX, EXR, GIF, JPEG, JPEG-2000, PDF,
 PhotoCD, PNG, Postscript, SVG, and TIFF.
 .
 Thanks to the Magick++ image libraries it supports more than 100 image
 formats.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/converseen

override_dh_auto_install:
	dh_auto_install
	sed -i 's/\r//g' $(DESTDIR)/usr/share/applications/converseen.desktop \
		$(DESTDIR)/usr/share/kde4/services/ServiceMenus/converseen_import.desktop

%:
	dh $@ 

.PHONY: override_dh_auto_install

## converseen 0.7.2.1

=== debian/changelog ===
converseen (0.7.2.1-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 05 Jul 2014 10:53:23 +0000

converseen (0.7.2-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 03 Jun 2014 18:18:46 +0000

converseen (0.6.8-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 22 Mar 2014 14:21:51 +0100

## converseen 0.8.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,6 +10,7 @@
 SET(converseen_UIS  
     ui/dialogconversionstatus.ui
     ui/dialoginfo.ui
+    ui/dialogmultipageeditor.ui
     ui/dialogoptions.ui
     ui/dialogquality.ui
     ui/mainwindow.ui
@@ -22,6 +23,7 @@
     src/converter.cpp
     src/dialogconversionstatus.cpp
     src/dialoginfo.cpp
+    src/dialogmultipageeditor.cpp
     src/dialogoptions.cpp
     src/dialogquality.cpp
     src/formats.cpp
@@ -35,6 +37,7 @@
     src/translator.cpp
     src/updatechecker.cpp
     src/whereiam.cpp
+    src/Modules/multipageconverter.cpp
 )  
   
 SET(converseen_MOC_HDRS  
@@ -43,9 +46,11 @@
     src/converter.h
     src/dialogconversionstatus.h
     src/dialoginfo.h
+    src/dialogmultipageeditor.h
     src/dialogoptions.h
     src/dialogquality.h
     src/formats.h
+    src/globals.h
     src/inisettings.h
     src/mainwindowimpl.h
     src/mylabelpreviewer.h
@@ -56,6 +61,7 @@
     src/translator.h
     src/updatechecker.h
     src/whereiam.h
+    src/Modules/multipageconverter.h
 )
   
 SET(converseen_RESOURCES  
@@ -112,6 +118,7 @@
 install(FILES res/converseen.desktop DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications)
 install(FILES res/converseen.png DESTINATION ${CMAKE_INSTALL_PREFIX}/share/pixmaps)
 install(FILES res/converseen_import.desktop DESTINATION ${CMAKE_INSTALL_PREFIX}/share/kde4/services/ServiceMenus)
+install(FILES converseen.appdata.xml DESTINATION /usr/share/appdata/)
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_cs_CZ.qm DESTINATION ${CMAKE_INSTALL_PREFIX}/share/converseen/loc)
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_de_DE.qm DESTINATION ${CMAKE_INSTALL_PREFIX}/share/converseen/loc)
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_es_CL.qm DESTINATION ${CMAKE_INSTALL_PREFIX}/share/converseen/loc)

=== debian/changelog ===
converseen (0.8.4-1build1) vivid; urgency=medium

  * Rebuild against libmagickcore-6.q16-2.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 30 Oct 2014 11:03:00 +0000

converseen (0.8.4-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 3.9.6 .
  * Prevent update check and open of welcome URL (closes: #761944).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 19 Oct 2014 23:06:29 +0000

converseen (0.8.3-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 06 Sep 2014 16:05:46 +0000

converseen (0.8.2-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 23 Aug 2014 09:52:22 +0000

## converseen 0.8.5

=== debian/changelog ===
converseen (0.8.5-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 27 Dec 2014 14:32:19 +0000

## converseen 0.9.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,7 @@
     ui/dialogconversionstatus.ui
     ui/dialoginfo.ui
     ui/dialogmultipageeditor.ui
+    ui/dialogshowupdatemsg.ui
     ui/dialogoptions.ui
     ui/dialogquality.ui
     ui/mainwindow.ui
@@ -26,7 +27,9 @@
     src/dialogmultipageeditor.cpp
     src/dialogoptions.cpp
     src/dialogquality.cpp
+    src/dialogshowupdatemsg.cpp
     src/formats.cpp
+    src/globals.cpp
     src/inisettings.cpp
     src/mainwindowimpl.cpp
     src/mylabelpreviewer.cpp
@@ -49,6 +52,7 @@
     src/dialogmultipageeditor.h
     src/dialogoptions.h
     src/dialogquality.h
+    src/dialogshowupdatemsg.h
     src/formats.h
     src/globals.h
     src/inisettings.h

=== debian/changelog ===
converseen (0.9.2-1build1) wily; urgency=medium

  * No-change rebuild against libmagick++-6.q16-5v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Aug 2015 14:31:53 +0000

converseen (0.9.2-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 25 Apr 2015 19:14:34 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: converseen
 Section: graphics
 Priority: extra
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper (>= 9), libqt4-dev, libmagick++-dev, libmagickcore-dev, libmagickwand-dev, imagemagick, cmake
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://converseen.sourceforge.net/
 
 Package: converseen

## converseen 0.9.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -86,21 +86,30 @@
     loc/converseen_ja_JP.ts
 )
 
-FIND_PACKAGE(Qt4 REQUIRED)
+FIND_PACKAGE(Qt5Core REQUIRED)
+FIND_PACKAGE(Qt5Gui REQUIRED)
+FIND_PACKAGE(Qt5Network REQUIRED)
+FIND_PACKAGE(Qt5Widgets REQUIRED)
+FIND_PACKAGE(Qt5LinguistTools REQUIRED)
 FIND_PACKAGE(ImageMagick REQUIRED)
 FIND_PACKAGE(ImageMagick COMPONENTS Magick++)
 FIND_PACKAGE(ImageMagick COMPONENTS MagickWand)
 FIND_PACKAGE(ImageMagick COMPONENTS MagickCore)
 
-INCLUDE(${QT_USE_FILE})
-QT4_WRAP_UI(converseen_UIS_H ${converseen_UIS})  
-QT4_WRAP_CPP(converseen_MOC_SRCS ${converseen_MOC_HDRS})  
-QT4_ADD_RESOURCES(converseen_RESOURCES ${converseen_RESOURCES})
-QT4_ADD_TRANSLATION(converseen_RESOURCES ${converseen_LANG}) 
+INCLUDE_DIRECTORIES(${Qt5Core_INCLUDE_DIRS})
+INCLUDE_DIRECTORIES(${Qt5Gui_INCLUDE_DIRS})
+INCLUDE_DIRECTORIES(${Qt5Network_INCLUDE_DIRS})
+INCLUDE_DIRECTORIES(${Qt5Widgets_INCLUDE_DIRS})
+QT5_WRAP_UI(converseen_UIS_H ${converseen_UIS})
+QT5_WRAP_CPP(converseen_MOC_SRCS ${converseen_MOC_HDRS})
+QT5_ADD_RESOURCES(converseen_RESOURCES ${converseen_RESOURCES})
+QT5_ADD_TRANSLATION(converseen_RESOURCES ${converseen_LANG})
 
 ADD_DEFINITIONS(
 	-Wall
 	-W
+	-std=c++11
+	-fPIC
 	-DMAGICKCORE_HDRI_ENABLE=0
 	-DMAGICKCORE_QUANTUM_DEPTH=16
 	${QT_DEFINITIONS}
@@ -116,12 +125,12 @@
     ${converseen_RCS} 
 )  
   
-TARGET_LINK_LIBRARIES(${GUI} ${QT_LIBRARIES} ${ImageMagick_LIBRARIES} ${ImageMagick_Magick++_LIBRARIES})
+TARGET_LINK_LIBRARIES(${GUI} ${Qt5Network_LIBRARIES} ${Qt5Widgets_LIBRARIES} ${ImageMagick_LIBRARIES} ${ImageMagick_Magick++_LIBRARIES})
 
 install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/converseen DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
 install(FILES res/converseen.desktop DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications)
 install(FILES res/converseen.png DESTINATION ${CMAKE_INSTALL_PREFIX}/share/pixmaps)
-install(FILES res/converseen_import.desktop DESTINATION ${CMAKE_INSTALL_PREFIX}/share/kde4/services/ServiceMenus)
+install(FILES res/converseen_import.desktop DESTINATION ${CMAKE_INSTALL_PREFIX}/share/kservices5/ServiceMenus)
 install(FILES converseen.appdata.xml DESTINATION /usr/share/appdata/)
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_cs_CZ.qm DESTINATION ${CMAKE_INSTALL_PREFIX}/share/converseen/loc)
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_de_DE.qm DESTINATION ${CMAKE_INSTALL_PREFIX}/share/converseen/loc)

=== debian/changelog ===
converseen (0.9.5.2-1build1) zesty; urgency=medium

  * No-change rebuild against latest imagemagick

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 16 Dec 2016 21:01:15 -0500

converseen (0.9.5.2-1) unstable; urgency=low

  * New upstream release.
  * Update Build-Depends to follow the project move from Qt4 to Qt5.
  * Rework packaging and build in a separate directory.
  * Update Standards-Version to 3.9.8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 24 Oct 2016 15:57:09 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: converseen
 Section: graphics
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 9), libqt4-dev, libmagick++-dev, libmagickcore-dev, libmagickwand-dev, imagemagick, cmake
-Standards-Version: 3.9.6
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Build-Depends: debhelper (>= 9), qtbase5-dev, qttools5-dev-tools,
+ libmagick++-dev, libmagickcore-dev, libmagickwand-dev, imagemagick, cmake
+Standards-Version: 3.9.8
 Homepage: http://converseen.sourceforge.net/
 
 Package: converseen

## converseen 0.9.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -115,7 +115,8 @@
 	${QT_DEFINITIONS}
 )
 
-INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR} ${ImageMagick_INCLUDE_DIRS} ${ImageMagick_Magick++_INCLUDE_DIRS} . )
+
+INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR} ${ImageMagick_INCLUDE_DIRS} ${ImageMagick_Magick++_INCLUDE_DIRS} ${ImageMagick_MagickCore_INCLUDE_DIRS} . )
   
 ADD_EXECUTABLE(${GUI}  
     ${converseen_SRCS}  
@@ -125,7 +126,7 @@
     ${converseen_RCS} 
 )  
   
-TARGET_LINK_LIBRARIES(${GUI} ${Qt5Network_LIBRARIES} ${Qt5Widgets_LIBRARIES} ${ImageMagick_LIBRARIES} ${ImageMagick_Magick++_LIBRARIES})
+TARGET_LINK_LIBRARIES(${GUI} ${Qt5Network_LIBRARIES} ${Qt5Widgets_LIBRARIES} ${ImageMagick_LIBRARY} ${ImageMagick_Magick++_LIBRARY} ${ImageMagick_MagickCore_LIBRARY})
 
 install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/converseen DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
 install(FILES res/converseen.desktop DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications)

=== debian/changelog ===
converseen (0.9.6.1-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 21 Feb 2017 19:22:14 +0000

## converseen 0.9.6.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -84,6 +84,7 @@
     loc/converseen_ru_RU.ts
     loc/converseen_pl_PL.ts
     loc/converseen_ja_JP.ts
+    loc/converseen_da_DK.ts
 )
 
 FIND_PACKAGE(Qt5Core REQUIRED)
@@ -144,3 +145,4 @@
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_ru_RU.qm DESTINATION ${CMAKE_INSTALL_PREFIX}/share/converseen/loc)
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_pl_PL.qm DESTINATION ${CMAKE_INSTALL_PREFIX}/share/converseen/loc)
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_ja_JP.qm DESTINATION ${CMAKE_INSTALL_PREFIX}/share/converseen/loc)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_da_DK.qm DESTINATION ${CMAKE_INSTALL_PREFIX}/share/converseen/loc)

=== debian/changelog ===
converseen (0.9.6.2-2) unstable; urgency=medium

  * Update build dependencies (closes: #881091).
  * Update Standards-Version to 4.1.1:
    - change package priority to optional.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 07 Nov 2017 16:41:45 +0000

converseen (0.9.6.2-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 17 Jun 2017 05:25:53 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: converseen
 Section: graphics
-Priority: extra
+Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 9), qtbase5-dev, qttools5-dev-tools,
- libmagick++-dev, libmagickcore-dev, libmagickwand-dev, imagemagick, cmake
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 9), qtbase5-dev, qttools5-dev, libmagick++-dev,
+ libmagickcore-dev, libmagickwand-dev, imagemagick, cmake
+Standards-Version: 4.1.1
 Homepage: http://converseen.sourceforge.net/
 
 Package: converseen

## converseen 0.9.7

=== debian/changelog ===
converseen (0.9.7-1~mx17+1) mx; urgency=medium

  * Repackaged for MX 17.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 20 Oct 2018 06:06:45 -0700

converseen (0.9.7-1) unstable; urgency=medium

  * New upstream release.
  * Update debhelper level to 11 .
  * Update Standards-Version to 4.1.5 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 21 Aug 2018 18:22:34 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: converseen
 Section: graphics
 Priority: optional
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 9), qtbase5-dev, qttools5-dev, libmagick++-dev,
+Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
+XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Build-Depends: debhelper (>= 11), qtbase5-dev, qttools5-dev, libmagick++-dev,
  libmagickcore-dev, libmagickwand-dev, imagemagick, cmake
-Standards-Version: 4.1.1
+Standards-Version: 4.1.5
 Homepage: http://converseen.sourceforge.net/
 
 Package: converseen

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

BUILDDIR=$(CURDIR)/build/
DESTDIR=$(CURDIR)/debian/converseen/

override_dh_clean:
	dh_clean
	rm -rf $(BUILDDIR)

override_dh_auto_configure:
	[ -d $(BUILDDIR) ] || mkdir $(BUILDDIR)
	cd $(BUILDDIR) && cmake ../ -DCMAKE_INSTALL_PREFIX=$(DESTDIR)/usr/

override_dh_auto_build:
	cd $(BUILDDIR) && $(MAKE)

override_dh_strip:
	dh_strip --no-automatic-dbgsym
	
override_dh_auto_install:
	dh_auto_install
	cd $(BUILDDIR) && $(MAKE) install 

%:
	dh $@ 

.PHONY: override_dh_auto_configure override_dh_auto_install

## converseen 0.9.7.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -85,6 +85,7 @@
     loc/converseen_pl_PL.ts
     loc/converseen_ja_JP.ts
     loc/converseen_da_DK.ts
+    loc/converseen_uk_UA.ts
 )
 
 FIND_PACKAGE(Qt5Core REQUIRED)
@@ -146,3 +147,4 @@
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_pl_PL.qm DESTINATION ${CMAKE_INSTALL_PREFIX}/share/converseen/loc)
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_ja_JP.qm DESTINATION ${CMAKE_INSTALL_PREFIX}/share/converseen/loc)
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_da_DK.qm DESTINATION ${CMAKE_INSTALL_PREFIX}/share/converseen/loc)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_uk_UA.qm DESTINATION ${CMAKE_INSTALL_PREFIX}/share/converseen/loc)

=== debian/changelog ===
converseen (0.9.7.2-1mx15+1) mx; urgency=medium

  * Rebuild for MX-15/16.
  * Added qttools5-dev-tools to the build depends.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 20 Jul 2019 14:00:21 -0700

converseen (0.9.7.2-1mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 20 Jul 2019 13:36:27 -0700

converseen (0.9.7.2-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.2.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 24 Oct 2018 22:46:34 +0000

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,17 @@
 Priority: optional
 Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
 XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 11), qtbase5-dev, qttools5-dev, libmagick++-dev,
- libmagickcore-dev, libmagickwand-dev, imagemagick, cmake
-Standards-Version: 4.1.5
-Homepage: http://converseen.sourceforge.net/
+Build-Depends: debhelper (>= 11), 
+	qtbase5-dev, 
+	qttools5-dev,
+	qttools5-dev-tools,  
+	libmagick++-dev,
+ 	libmagickcore-dev, 
+ 	libmagickwand-dev, 
+ 	imagemagick, 
+ 	cmake
+Standards-Version: 4.2.1
+Homepage: https://converseen.sourceforge.net/
 
 Package: converseen
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -18,9 +18,6 @@
 override_dh_auto_build:
 	cd $(BUILDDIR) && $(MAKE)
 
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
-	
 override_dh_auto_install:
 	dh_auto_install
 	cd $(BUILDDIR) && $(MAKE) install 
@@ -29,3 +26,7 @@
 	dh $@ 
 
 .PHONY: override_dh_auto_configure override_dh_auto_install
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+

## converseen 0.9.8.0

=== debian/changelog ===
converseen (0.9.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Update homepage location.
  * Update copyright file.
  * Update Standards-Version to 4.4.1 .

  [ Helmut Grohne <helmut@subdivi.de> ]
  * Fix FTCBFS: Let dh_auto_* work correctly (closes: #913579).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 26 Nov 2019 20:40:22 +0000

=== debian/control ===
Source: converseen
Section: graphics
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper (>= 11), qtbase5-dev, qttools5-dev, libmagick++-dev,
 libmagickcore-dev, libmagickwand-dev, imagemagick, cmake
Standards-Version: 4.4.1
Homepage: http://converseen.fasterland.net/

Package: converseen
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: batch image converter and resizer
 You can convert an unlimited number of images and / or create thumbnails
 to any of the most popular formats: DPX, EXR, GIF, JPEG, JPEG-2000, PDF,
 PhotoCD, PNG, Postscript, SVG, and TIFF.
 .
 Thanks to the Magick++ image libraries it supports more than 100 image
 formats.

## converseen 0.9.8.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -86,6 +86,7 @@
     loc/converseen_ja_JP.ts
     loc/converseen_da_DK.ts
     loc/converseen_uk_UA.ts
+    loc/converseen_sv_SE.ts
 )
 
 FIND_PACKAGE(Qt5Core REQUIRED)
@@ -134,7 +135,7 @@
 install(FILES res/converseen.desktop DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications)
 install(FILES res/converseen.png DESTINATION ${CMAKE_INSTALL_PREFIX}/share/pixmaps)
 install(FILES res/converseen_import.desktop DESTINATION ${CMAKE_INSTALL_PREFIX}/share/kservices5/ServiceMenus)
-install(FILES converseen.appdata.xml DESTINATION /usr/share/appdata/)
+install(FILES converseen.appdata.xml DESTINATION /usr/share/metainfo/)
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_cs_CZ.qm DESTINATION ${CMAKE_INSTALL_PREFIX}/share/converseen/loc)
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_de_DE.qm DESTINATION ${CMAKE_INSTALL_PREFIX}/share/converseen/loc)
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_es_CL.qm DESTINATION ${CMAKE_INSTALL_PREFIX}/share/converseen/loc)
@@ -148,3 +149,4 @@
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_ja_JP.qm DESTINATION ${CMAKE_INSTALL_PREFIX}/share/converseen/loc)
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_da_DK.qm DESTINATION ${CMAKE_INSTALL_PREFIX}/share/converseen/loc)
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_uk_UA.qm DESTINATION ${CMAKE_INSTALL_PREFIX}/share/converseen/loc)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_sv_SE.qm DESTINATION ${CMAKE_INSTALL_PREFIX}/share/converseen/loc)

=== debian/changelog ===
converseen (0.9.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.5.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 11 Feb 2020 17:17:48 +0000

## converseen 0.9.9.0

=== debian/changelog ===
converseen (0.9.9.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 18 Feb 2021 18:40:06 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: graphics
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 11), qtbase5-dev, qttools5-dev, libmagick++-dev,
+Build-Depends: debhelper-compat (= 11), qtbase5-dev, qttools5-dev, libmagick++-dev,
  libmagickcore-dev, libmagickwand-dev, imagemagick, cmake
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: http://converseen.fasterland.net/
 
 Package: converseen

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/ \
https://github.com/Faster3ck/Converseen/releases .*/archive/v?(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## converseen 0.9.9.1

=== debian/changelog ===
converseen (0.9.9.1-0.1~mx19+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 08 Jul 2021 14:19:04 -0700

=== debian/control ===
Source: converseen
Section: graphics
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 11),
               imagemagick,
               libmagick++-dev,
               libmagickcore-dev,
               libmagickwand-dev,
               qtbase5-dev,
               qttools5-dev
Standards-Version: 4.5.0
Homepage: http://converseen.fasterland.net/

Package: converseen
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: batch image converter and resizer
 You can convert an unlimited number of images and / or create thumbnails
 to any of the most popular formats: DPX, EXR, GIF, JPEG, JPEG-2000, PDF,
 PhotoCD, PNG, Postscript, SVG, and TIFF.
 .
 Thanks to the Magick++ image libraries it supports more than 100 image
 formats.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

BUILDDIR=$(CURDIR)/build/

%:
	dh $@ --builddir=$(BUILDDIR)

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## converseen 0.9.9.2

=== debian/changelog ===
converseen (0.9.9.2-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 19 Oct 2021 20:02:51 +0200

converseen (0.9.9.1-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file.
  * Update debhelper level to 13 .
  * Update Standards-Version to 4.6.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 27 Sep 2021 18:04:51 +0200

## converseen 0.9.9.3

=== debian/changelog ===
converseen (0.9.9.3-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 19 Dec 2021 09:04:45 +0100

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$// \
https://github.com/Faster3ck/Converseen/tags \
.*/v?(\d\S+)@ARCHIVE_EXT@

## converseen 0.9.9.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -87,6 +87,7 @@
     loc/converseen_da_DK.ts
     loc/converseen_uk_UA.ts
     loc/converseen_sv_SE.ts
+    loc/converseen_zh_CN.ts
 )
 
 FIND_PACKAGE(Qt5Core REQUIRED)
@@ -150,3 +151,4 @@
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_da_DK.qm DESTINATION ${CMAKE_INSTALL_PREFIX}/share/converseen/loc)
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_uk_UA.qm DESTINATION ${CMAKE_INSTALL_PREFIX}/share/converseen/loc)
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_sv_SE.qm DESTINATION ${CMAKE_INSTALL_PREFIX}/share/converseen/loc)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_zh_CN.qm DESTINATION ${CMAKE_INSTALL_PREFIX}/share/converseen/loc)

=== debian/changelog ===
converseen (0.9.9.4-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 21 Jan 2022 18:17:06 +0100

=== debian/control ===
Source: converseen
Section: graphics
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper-compat (= 13), qtbase5-dev, qttools5-dev,
 libmagick++-dev, libmagickcore-dev, libmagickwand-dev, imagemagick, cmake
Standards-Version: 4.6.0
Homepage: http://converseen.fasterland.net/

Package: converseen
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: batch image converter and resizer
 You can convert an unlimited number of images and / or create thumbnails
 to any of the most popular formats: DPX, EXR, GIF, JPEG, JPEG-2000, PDF,
 PhotoCD, PNG, Postscript, SVG, and TIFF.
 .
 Thanks to the Magick++ image libraries it supports more than 100 image
 formats.

## converseen 0.9.9.5

=== debian/changelog ===
converseen (0.9.9.5-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 04 Mar 2022 22:01:43 +0100

## converseen 0.9.9.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,7 @@
 SET(GUI "converseen")  
 SET(QT_USE_QTNETWORK TRUE)
 
+include(GNUInstallDirs)
 ADD_DEFINITIONS( ${OPTIMIZATION_FLAGS} )
   
 SET(converseen_UIS  
@@ -132,23 +133,23 @@
   
 TARGET_LINK_LIBRARIES(${GUI} ${Qt5Network_LIBRARIES} ${Qt5Widgets_LIBRARIES} ${ImageMagick_LIBRARY} ${ImageMagick_Magick++_LIBRARY} ${ImageMagick_MagickCore_LIBRARY})
 
-install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/converseen DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
-install(FILES res/converseen.desktop DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications)
-install(FILES res/converseen.png DESTINATION ${CMAKE_INSTALL_PREFIX}/share/pixmaps)
-install(FILES res/converseen_import.desktop DESTINATION ${CMAKE_INSTALL_PREFIX}/share/kservices5/ServiceMenus)
-install(FILES converseen.appdata.xml DESTINATION /usr/share/metainfo/)
-install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_cs_CZ.qm DESTINATION ${CMAKE_INSTALL_PREFIX}/share/converseen/loc)
-install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_de_DE.qm DESTINATION ${CMAKE_INSTALL_PREFIX}/share/converseen/loc)
-install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_es_CL.qm DESTINATION ${CMAKE_INSTALL_PREFIX}/share/converseen/loc)
-install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_fr_FR.qm DESTINATION ${CMAKE_INSTALL_PREFIX}/share/converseen/loc)
-install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_hu_HU.qm DESTINATION ${CMAKE_INSTALL_PREFIX}/share/converseen/loc)
-install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_it_IT.qm DESTINATION ${CMAKE_INSTALL_PREFIX}/share/converseen/loc)
-install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_pt_BR.qm DESTINATION ${CMAKE_INSTALL_PREFIX}/share/converseen/loc)
-install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_tr_TR.qm DESTINATION ${CMAKE_INSTALL_PREFIX}/share/converseen/loc)
-install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_ru_RU.qm DESTINATION ${CMAKE_INSTALL_PREFIX}/share/converseen/loc)
-install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_pl_PL.qm DESTINATION ${CMAKE_INSTALL_PREFIX}/share/converseen/loc)
-install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_ja_JP.qm DESTINATION ${CMAKE_INSTALL_PREFIX}/share/converseen/loc)
-install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_da_DK.qm DESTINATION ${CMAKE_INSTALL_PREFIX}/share/converseen/loc)
-install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_uk_UA.qm DESTINATION ${CMAKE_INSTALL_PREFIX}/share/converseen/loc)
-install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_sv_SE.qm DESTINATION ${CMAKE_INSTALL_PREFIX}/share/converseen/loc)
-install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_zh_CN.qm DESTINATION ${CMAKE_INSTALL_PREFIX}/share/converseen/loc)
+install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/converseen DESTINATION ${CMAKE_INSTALL_BINDIR})
+install(FILES res/net.fasterland.converseen.desktop DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications)
+install(FILES res/converseen.png DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/pixmaps)
+install(FILES res/converseen_import.desktop DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/kservices5/ServiceMenus)
+install(FILES converseen.appdata.xml DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/metainfo/)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_cs_CZ.qm DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/converseen/loc)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_de_DE.qm DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/converseen/loc)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_es_CL.qm DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/converseen/loc)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_fr_FR.qm DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/converseen/loc)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_hu_HU.qm DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/converseen/loc)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_it_IT.qm DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/converseen/loc)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_pt_BR.qm DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/converseen/loc)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_tr_TR.qm DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/converseen/loc)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_ru_RU.qm DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/converseen/loc)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_pl_PL.qm DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/converseen/loc)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_ja_JP.qm DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/converseen/loc)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_da_DK.qm DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/converseen/loc)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_uk_UA.qm DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/converseen/loc)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_sv_SE.qm DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/converseen/loc)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_zh_CN.qm DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/converseen/loc)

=== debian/changelog ===
converseen (0.9.9.6-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 09 Jul 2022 21:20:21 +0200

## converseen 0.9.9.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -40,7 +40,6 @@
     src/thumbnailgeneratorthread.cpp
     src/translator.cpp
     src/updatechecker.cpp
-    src/whereiam.cpp
     src/Modules/multipageconverter.cpp
 )  
   
@@ -65,7 +64,6 @@
     src/thumbnailgeneratorthread.h
     src/translator.h
     src/updatechecker.h
-    src/whereiam.h
     src/Modules/multipageconverter.h
 )
   
@@ -120,7 +118,6 @@
 	${QT_DEFINITIONS}
 )
 
-
 INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR} ${ImageMagick_INCLUDE_DIRS} ${ImageMagick_Magick++_INCLUDE_DIRS} ${ImageMagick_MagickCore_INCLUDE_DIRS} . )
   
 ADD_EXECUTABLE(${GUI}  
@@ -135,9 +132,15 @@
 
 install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/converseen DESTINATION ${CMAKE_INSTALL_BINDIR})
 install(FILES res/net.fasterland.converseen.desktop DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications)
-install(FILES res/converseen.png DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/pixmaps)
 install(FILES res/converseen_import.desktop DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/kservices5/ServiceMenus)
 install(FILES converseen.appdata.xml DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/metainfo/)
+install(FILES res/icons/16x16/converseen.png DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/16x16/apps)
+install(FILES res/icons/32x32/converseen.png DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/32x32/apps)
+install(FILES res/icons/48x48/converseen.png DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/48x48/apps)
+install(FILES res/icons/64x64/converseen.png DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/64x64/apps)
+install(FILES res/icons/128x128/converseen.png DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/128x128/apps)
+install(FILES res/icons/256x256/converseen.png DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/256x256/apps)
+install(FILES res/icons/512x512/converseen.png DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/512x512/apps)
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_cs_CZ.qm DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/converseen/loc)
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_de_DE.qm DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/converseen/loc)
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/converseen_es_CL.qm DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/converseen/loc)

=== debian/changelog ===
converseen (0.9.9.8-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 16 Sep 2022 15:50:45 +0200

converseen (0.9.9.7-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 02 Sep 2022 21:46:42 +0200

## converseen 0.9.10.0

=== debian/control ===
Source: converseen
Section: graphics
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               imagemagick,
               libmagick++-dev,
               libmagickcore-dev,
               libmagickwand-dev,
               qtbase5-dev,
               qttools5-dev
Standards-Version: 4.6.0
Homepage: http://converseen.fasterland.net/

Package: converseen
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: batch image converter and resizer
 You can convert an unlimited number of images and / or create thumbnails
 to any of the most popular formats: DPX, EXR, GIF, JPEG, JPEG-2000, PDF,
 PhotoCD, PNG, Postscript, SVG, and TIFF.
 .
 Thanks to the Magick++ image libraries it supports more than 100 image
 formats.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export QT_SELECT = 5

BUILDDIR=$(CURDIR)/build/

%:
	dh $@ --builddir=$(BUILDDIR)

# No dbgsym packages:
override_dh_strip:
	dh_strip --no-automatic-dbgsym

## converseen 0.9.10.1

=== debian/changelog ===
converseen (0.9.10.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.6.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 21 Jan 2023 12:00:33 +0100

=== debian/control ===
Source: converseen
Section: graphics
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper-compat (= 13), qtbase5-dev, qttools5-dev,
 libmagick++-dev, libmagickcore-dev, libmagickwand-dev, imagemagick, cmake
Standards-Version: 4.6.1
Homepage: https://converseen.fasterland.net/

Package: converseen
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: batch image converter and resizer
 You can convert an unlimited number of images and / or create thumbnails
 to any of the most popular formats: DPX, EXR, GIF, JPEG, JPEG-2000, PDF,
 PhotoCD, PNG, Postscript, SVG, and TIFF.
 .
 Thanks to the Magick++ image libraries it supports more than 100 image
 formats.

## converseen 0.9.11.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -40,6 +40,7 @@
     src/thumbnailgeneratorthread.cpp
     src/translator.cpp
     src/updatechecker.cpp
+    src/magickdefine.cpp
     src/Modules/multipageconverter.cpp
 )  
   
@@ -64,6 +65,7 @@
     src/thumbnailgeneratorthread.h
     src/translator.h
     src/updatechecker.h
+    src/magickdefine.cpp
     src/Modules/multipageconverter.h
 )

=== debian/changelog ===
converseen (0.9.11.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.6.2 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 25 Feb 2023 11:05:18 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper-compat (= 13), qtbase5-dev, qttools5-dev,
  libmagick++-dev, libmagickcore-dev, libmagickwand-dev, imagemagick, cmake
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://converseen.fasterland.net/
 
 Package: converseen

## converseen 0.9.11.1

=== debian/changelog ===
converseen (0.9.11.1-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 01 Apr 2023 15:32:41 +0200

## converseen 0.11.0.1

=== debian/changelog ===
converseen (0.11.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 21 Oct 2023 19:20:42 +0200

converseen (0.11.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 01 Oct 2023 09:00:00 +0200

converseen (0.10.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 19 Aug 2023 20:08:14 +0200

## converseen 0.12.0.0

=== debian/changelog ===
converseen (0.12.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Use no for Rules-Requires-Root.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 02 Dec 2023 22:06:21 +0100

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Build-Depends: debhelper-compat (= 13), qtbase5-dev, qttools5-dev,
  libmagick++-dev, libmagickcore-dev, libmagickwand-dev, imagemagick, cmake
 Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Homepage: https://converseen.fasterland.net/
 
 Package: converseen
